<?php
/**
 * InboundMessagesApiTest
 * PHP version 5
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * TextMagic
 *
 * TextMagic REST API
 *
 * OpenAPI spec version: 2
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 * Swagger Codegen version: 2.4.7
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Please update the test case below to test the endpoint.
 */

namespace text-magic;

use \text-magic\Configuration;
use \text-magic\ApiException;
use \text-magic\ObjectSerializer;

/**
 * InboundMessagesApiTest Class Doc Comment
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */
class InboundMessagesApiTest extends \PHPUnit_Framework_TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for deleteInboundMessage
     *
     * Delete the incoming message..
     *
     */
    public function testDeleteInboundMessage()
    {
    }

    /**
     * Test case for deleteInboundMessagesBulk
     *
     * Delete inbound messages by given ID(s) or delete all inbound messages..
     *
     */
    public function testDeleteInboundMessagesBulk()
    {
    }

    /**
     * Test case for getAllInboundMessages
     *
     * Get all inbox messages..
     *
     */
    public function testGetAllInboundMessages()
    {
    }

    /**
     * Test case for getInboundMessage
     *
     * Get a single inbox message..
     *
     */
    public function testGetInboundMessage()
    {
    }

    /**
     * Test case for searchInboundMessages
     *
     * Find inbound messages by given parameters..
     *
     */
    public function testSearchInboundMessages()
    {
    }
}
